%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemname compass
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: A Real Stylesheet Framework
Name: rubygem-%{gemname}
Version: 0.11.5
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://compass-style.org
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems 
Requires: rubygem(sass) => 3.1
Requires: rubygem(chunky_png) => 1.2
Requires: rubygem(fssm) >= 0.2.7
BuildRequires: rubygems 
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Compass is a Sass-based Stylesheet Framework that streamlines the creation and
maintainance of CSS.

%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{_bindir}/compass
%{geminstdir}/frameworks
%{geminstdir}/bin
%{geminstdir}/lib
%{geminstdir}/Rakefile
%doc %{geminstdir}/LICENSE.markdown
%doc %{geminstdir}/README.markdown
%doc %{geminstdir}/VERSION.yml
%doc %{geminstdir}/examples
%doc %{geminstdir}/test
%doc %{geminstdir}/features
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Mon Jul 25 2011 Shannon Hughes <shughes@redhat.com> 0.11.5-1
- upgrade to 0.11.5 (shughes@redhat.com)

* Fri Jul 22 2011 Shannon Hughes <shughes@redhat.com> - 0.11.5-1
- Initial package
